Subject: [http-state] terminology: "request-host" and "request-uri"

From: Julian Reschke <[email-masked]>
Date: Fri, 16 Jul 2010 14:48:04 +0200

Hi,

the spec currently has 
(<http://tools.ietf.org/html/draft-ietf-httpstate-cookie-09#section-2.3>):

    The terms request-host and request-uri refer to the values the user
    agent would send to the server as, respectively, the host (but not
    port) and the absoluteURI (http_URL) of the HTTP Request-Line.

First of all, it would be good if ABNF terms from RFC 2616 would be 
clearly introduced as such.

Such as

    This specification adopts the definition of "http_URL" from Section
    3.2.2 of [RFC2616].

(or something similar) -- this should be done for all terms/ABNF 
productions used from other spec.

Furthermore, there's a problem request-host, which, depending on the 
format of the HTTP Request-Line will *either* come from the Host header 
field, or from the Request-Line.

In HTTPbis, we have introduced the term "Effective Request URI", see 
<http://greenbytes.de/tech/webdav/draft-ietf-httpbis-p1-messaging-10.html#rfc.section.4.3>, 
based on which extracting thee host and the request path would be 
simpler. If you don't want to rely on that definition due to spec 
timing, you may want to consider to steal the spec text (originally 
introduced by Jeff for STS, btw).

Best regards, Julian

---

From: Adam Barth <[email-masked]>
Date: Sat, 17 Jul 2010 09:58:54 -0700

This text is copied verbatim from RFC2109.  If it's pedantically
correct enough for 2109, it's pedantically correct enough for me.

Adam

On Fri, Jul 16, 2010 at 5:48 AM, Julian Reschke <[email-masked]> wrote:
> First of all, it would be good if ABNF terms from RFC 2616 would be clearly
> introduced as such.
>
> Such as
>
> (or something similar) -- this should be done for all terms/ABNF productions
> used from other spec.
>
> Furthermore, there's a problem request-host, which, depending on the format
> of the HTTP Request-Line will *either* come from the Host header field, or
> from the Request-Line.
>
> based on which extracting thee host and the request path would be simpler.
> If you don't want to rely on that definition due to spec timing, you may
> want to consider to steal the spec text (originally introduced by Jeff for
> STS, btw).
>
> Best regards, Julian
>
>
>
> _______________________________________________
> http-state mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/http-state
>